# $Revision: 1.11 $, $Date: 2011/03/01 06:28:36 $
%include	/usr/lib/rpm/macros.php
%define		_status		alpha
%define		_pearname	Validate_IS
Summary:	%{_pearname} - Validation class for Iceland
Summary(pl.UTF-8):	%{_pearname} - Klasa sprawdzająca poprawność dla Islandii
Name:		php-pear-%{_pearname}
Version:	0.3.0
Release:	2
License:	New BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	d971c005841f965ecc0cf6c2f1f42ffc
URL:		http://pear.php.net/package/Validate_IS/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.2.0
Requires:	php-ctype
Requires:	php-pear
Obsoletes:	php-pear-Validate_IS-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Package containes locale validation for IS (Iceland) such as:
- SSN
- Postal Code
- Address
- Telephone

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Pakiet do sprawdzania poprawności dla Islandii danych takich jak:
- numer ubezpieczenia społecznego (SSN)
- kod pocztowy
- adres
- numer telefonu

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Validate/IS.php
%{php_pear_dir}/data/Validate_IS

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Validate_IS.spec,v $
Revision 1.11  2011/03/01 06:28:36  glen
- release 2

Revision 1.10  2011/01/23 01:03:30  sparky
- dropped -tests subpackage

Revision 1.9  2010/11/16 14:31:49  glen
- updated to: 0.3.0

Revision 1.8  2010/08/21 19:09:02  glen
- updated deps with pearize.sh
- release 3

Revision 1.7  2008/01/31 12:16:12  glen
- rel 2

Revision 1.6  2007-02-12 22:09:11  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.4  2006/09/04 20:12:40  adamg
- updated to 0.2.0

Revision 1.3  2006/05/23 20:18:15  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.2  2006/04/28 22:18:44  qboosh
- missing dirs, pl cosmetic, explicit Epoch (used in -tests)

Revision 1.1  2006/04/24 16:45:10  adamg
- new
